For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
          • GETSearch returns
          • GETGet a single return resource
          • PUTAuthorize a return
          • PUTIssue refund to customer for return
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP OrderCustomer Initiated Returns

Authorize a return

PUT
https://api.feedamp.feedonomics.com/api/v1/returns/:return-id/authorize
PUT
/api/v1/returns/:return-id/authorize
$curl -X PUT https://api.feedamp.feedonomics.com/api/v1/returns/return-id/authorize \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "return": {
3 "id": "123",
4 "state": "Pending Authorization",
5 "integration_name": "amazon",
6 "paused": 0,
7 "return_info": {
8 "mp_return_number": "152-123344ABC",
9 "mp_order_number": "111-99998888-55555",
10 "pre_authorized": 1,
11 "request_date": "2018-02-07T22:00:00.000Z",
12 "return_lines": [
13 {
14 "mp_return_line_number": "123-456-789",
15 "mp_order_line_number": "afdafasdgasdg",
16 "quantity": 2,
17 "reason": "wrong_item_received",
18 "shipping_expected": 1,
19 "sku": "1234-12353",
20 "product_name": "Beats Pill Speakers",
21 "requested_refund_principal": 1.05,
22 "requested_refund_tax": 0.11,
23 "requested_refund_shipping": 0,
24 "requested_refund_shipping_tax": 0,
25 "carrier": "FedEx",
26 "tracking_number": "168739720393",
27 "destination": "123 Example St. Los Angeles, CA"
28 }
29 ],
30 "respond_by_date": "2018-02-09T22:00:00.000Z",
31 "notes": "Didn't fit me!",
32 "merchant_return_number": "RMA-1234"
33 },
34 "order_id": "456"
35 }
36}

Authorize (or reject) a customer-initated return. This only applies to returns in the Pending Authorization state. This is also an opportunity for the seller to supply their own return number (i.e RMA) or shipping label.

Was this page helpful?
Previous

Get a single return resource

Next

Issue refund to customer for return

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

return-idstringRequired
FeedAMP return id

Headers

tokenstringRequired

The Authentication token obtained from the get_token route.

clientintegerRequired
The id of the client making the request.

Response

Single Return resource
returnobject

Errors

400
Bad Request Error
404
Not Found Error